curl https://api.portkey.ai/v1/files/file-abc123 \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY"{
"id": "<string>",
"bytes": 123,
"created_at": 123,
"filename": "<string>",
"status_details": "<string>"
}Retrieve File
curl https://api.portkey.ai/v1/files/file-abc123 \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY"{
"id": "<string>",
"bytes": 123,
"created_at": 123,
"filename": "<string>",
"status_details": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The ID of the file to use for this request.
Response
OK
The File object represents a document that has been uploaded to OpenAI.
The file identifier, which can be referenced in the API endpoints.
The size of the file, in bytes.
The Unix timestamp (in seconds) for when the file was created.
The name of the file.
The object type, which is always file.
file The intended purpose of the file. Supported values are assistants, assistants_output, batch, batch_output, fine-tune, fine-tune-results and vision.
assistants, assistants_output, batch, batch_output, fine-tune, fine-tune-results, vision Deprecated. The current status of the file, which can be either uploaded, processed, or error.
uploaded, processed, error Deprecated. For details on why a fine-tuning training file failed validation, see the error field on fine_tuning.job.
Was this page helpful?

